# https://pypi.python.org/packages/58/a5/0dc93c3ec33f4e281849523a5a913fa1eea9a3068acfa754d44d88107a44/nose-1.3.7.tar.gz
%define module nose

Name:		        python-%{module}
Version:	      1.3.7
Release:	      %mkrel 3
Summary:        Unittest-based testing framework for Python

License:	      LGPLv2+
Group:		      Development/Python
Url:		        http://readthedocs.org/docs/nose/
Source0:        %{module}-%{version}.tar.xz
Patch0:         python-nose-coverage4.patch
Patch1:         python-nose-py35.patch
Patch2:         python-nose-unicode.patch
Patch3:         python-nose-readunicode.patch
Patch4:         python-nose-py36.patch
Patch5:         python-nose-py38.patch
Patch6:         python-nose-no-use_2to3.patch
Patch7:         python-nose-py311.patch

BuildArch:	    noarch
BuildRequires:	dos2unix


%description
nose extends the test loading and running features of unittest, making it easier
to write, find and run tests.

By default, nose will run tests in files or directories under the current
working directory whose names include "test" or "Test" at a word boundary (like
"test_this" or "functional_test" or "TestClass" but not "libtest"). Test output
is similar to that of unittest, but also includes captured stdout output from
failing tests, for easy print-style debugging.

These features, and many more, are customizable through the use of plugins.
Plugins included with nose provide support for doctest, code coverage and
profiling, flexible attribute-based test selection, output capture and more.

%package -n python3-%{module}
Summary:	      Discovery-based unittest extension for Python3
Group:		      Development/Python
BuildRequires:	python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-coverage
Requires:	      python3-setuptools

%description -n python3-%{module}
nose extends the test loading and running features of unittest, making it easier
to write, find and run tests.

By default, nose will run tests in files or directories under the current
working directory whose names include "test" or "Test" at a word boundary (like
"test_this" or "functional_test" or "TestClass" but not "libtest"). Test output
is similar to that of unittest, but also includes captured stdout output from
failing tests, for easy print-style debugging.

This package installs the nose module and nosetests3 program that can discover
python3 unittests.


%prep
%setup -qn %{module}-%{version}
%apply_patches

# drop bundled egg-info
rm -rf *.egg-info/

dos2unix examples/attrib_plugin.py

%build
python3-2to3 %{?_smp_mflags} --write --nobackups --no-diffs .
python3-2to3 %{?_smp_mflags} --write --nobackups --no-diffs -d $(find -name '*.rst')
%py3_build


%install
%py3_install -- --install-data=%{_datadir}
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}
ln -sf nosetests-%{python3_version} %{buildroot}%{_bindir}/nosetests-3


%files -n python3-%{module}
%doc AUTHORS CHANGELOG lgpl.txt NEWS README.txt
%{_bindir}/nosetests
%{_bindir}/nosetests-%{python3_version}
%{_bindir}/nosetests-3
%{_mandir}/man1/nosetests.1*
%{python3_sitelib}/nose*


%changelog
* Sat Feb 26 2022 TerryN <terryn94 at gmail.com> 1.3.7-3pclos2022
- patch and rebuild for python 3.10

* Sun Apr 15 2018 marcin82 <fixxer1982 at gmail.com> 1.3.7-2pclos2018
- rebuild with python 3.6.5 with Fedora patches

* Sat Jun 27 2015 gseaman <galen.seaman at comcast.net> 1.3.7-1gseaman2015
- rebase on Mageia spec for python3
